PrintJobAttribute (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute, interface: PrintJobAttribute
Keywords: javax.print.attribute.PrintJobAttribute interface

# Interface PrintJobAttribute

All Superinterfaces:
  `Attribute, Serializable`

All Known Implementing Classes:
  `Chromaticity, Copies, DateTimeAtCompleted, DateTimeAtCreation, DateTimeAtProcessing, Destination, Fidelity, Finishings, JobHoldUntil, JobImpressions, JobImpressionsCompleted, JobKOctets, JobKOctetsProcessed, JobMediaSheets, JobMediaSheetsCompleted, JobMessageFromOperator, JobName, JobOriginatingUserName, JobPriority, JobSheets, JobState, JobStateReasons, Media, MediaName, MediaPrintableArea, MediaSizeName, MediaTray, MultipleDocumentHandling, NumberOfDocuments, NumberOfInterveningJobs, NumberUp, OrientationRequested, OutputBin, OutputDeviceAssigned, PageRanges, PresentationDirection, PrinterResolution, PrintQuality, SheetCollate, Sides`

public interface PrintJobAttribute extends Attribute
`PrintJobAttribute` is a tagging interface which a printing attribute class implements to indicate the attribute describes the status of a Print Job or some other characteristic of a Print Job. A Print Service instance adds a number of `PrintJobAttributes` to a Print Job's attribute set to report the Print Job's status. If an attribute implements `PrintRequestAttribute` as well as `PrintJobAttribute`, the client may include the attribute in a attribute set to specify the attribute's value for the Print Job.

See Also:
  - `PrintRequestAttributeSet`
  - `PrintJobAttributeSet`

- ## Method Summary

  ### Methods declared in interface Attribute

  `getCategory, getName`
  Modifier and Type
  Method
  Description
  `Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value when it is added to an attribute set.
  `String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.